Bug 59742 - Speech layout test failures after r85190 (?)
Summary: Speech layout test failures after r85190 (?)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Hans Wennborg
URL:
Keywords:
Depends on: 59613
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 14:51 PDT by Kenneth Russell
Modified: 2013-01-07 08:27 PST (History)
5 users (show)

See Also:


Attachments
Patch (647.05 KB, patch)
2011-05-03 07:06 PDT, Satish Sampath
no flags Details | Formatted Diff | Diff
Patch (1.05 MB, patch)
2011-05-03 07:52 PDT, Satish Sampath
no flags Details | Formatted Diff | Diff
Fixes the last failing layout test (275.92 KB, patch)
2011-05-04 02:20 PDT, Satish Sampath
tonyg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2011-04-28 14:51:04 PDT
It looks like the speech-related commits in r85190 and r85191 may have introduced a couple of layout test failures, in particular fast/speech/input-appearance-numberandspeech.html and fast/speech/input-appearance-speechbutton.html . See:

http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.6/builds/2936
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.5%20%28dbg%29%282%29/builds/1995
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.6%20%28dbg%29/builds/1202

Adding suppressions for these failures.
Comment 1 Kent Tamura 2011-04-30 23:34:13 PDT
Hmm input-appearance-numberandspeech.html looks very wrong.
Comment 2 Satish Sampath 2011-05-03 07:06:38 PDT
Created attachment 92071 [details]
Patch
Comment 3 Satish Sampath 2011-05-03 07:52:45 PDT
Created attachment 92075 [details]
Patch
Comment 4 Satish Sampath 2011-05-04 02:20:18 PDT
Created attachment 92202 [details]
Fixes the last failing layout test
Comment 5 Satish Sampath 2011-05-04 02:41:41 PDT
Committed r85726: <http://trac.webkit.org/changeset/85726>
Comment 6 Hajime Morrita 2011-05-04 17:51:08 PDT
http://trac.webkit.org/changeset/85817
Look flaky yet. I'm marking them at this time.
Comment 7 Hajime Morrita 2011-05-05 01:47:08 PDT
Reverted the change above (r85817). It looks over-skipped.
http://trac.webkit.org/changeset/85845